using EVCB_OCPP.Packet.Messages.FirmwareManagement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.FirmwareManagement
{
    public class UpdateFirmwareFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.UpdateFirmware.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(UpdateFirmwareConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(UpdateFirmwareRequest);
        }
    }
}
